## org.eclipse.emf.cdo.server
Interface IStoreAccessor.QueryResourcesContext

All Known Subinterfaces:
  IStoreAccessor.QueryResourcesContext.ExactMatch

Enclosing interface:
  IStoreAccessor

    public static interface IStoreAccessor.QueryResourcesContext

Since:
  2.0

Nested Class Summary
`static interface` `IStoreAccessor.QueryResourcesContext.ExactMatch`

Method Summary
`boolean` `addResource(CDOID resourceID)` Adds the CDOID of one resource to the results of the underlying query.
`boolean` `exactMatch()`
`CDOID` `getFolderID()`
`int` `getMaxResults()` Returns the maximum number of results expected by the client or `CDOQueryInfo.UNLIMITED_RESULTS` for no limitation.
`java.lang.String` `getName()`
`long` `getTimeStamp()` The timeStamp of the view (`CDOCommonView.UNSPECIFIED_DATE` if the view is an `audit` view.

Method Detail

### getTimeStamp

    long getTimeStamp()

  The timeStamp of the view (`CDOCommonView.UNSPECIFIED_DATE` if the view is an `audit` view.

### getFolderID

    CDOID getFolderID()

### getName

    java.lang.String getName()

### exactMatch

    boolean exactMatch()

### getMaxResults

    int getMaxResults()

  Returns the maximum number of results expected by the client or `CDOQueryInfo.UNLIMITED_RESULTS` for no limitation.

### addResource

    boolean addResource(CDOID resourceID)

  Adds the CDOID of one resource to the results of the underlying query.

  Returns:
    `true` to indicate that more results can be passed subsequently, `false` otherwise (i.e. maxResults has been reached or an asynchronous query has been canceled).

Copyright (c) 2004 - 2009 Eike Stepper (Berlin, Germany) and others. All Rights Reserved.